/**
 * 
 */
package org.ajax4jsf;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author asmirnov
 *
 */
public class ListAction {
	
	private List data;
	
	private Set keys;
	
    /**
	 * @return the data
	 */
	public List getData() {
		return data;
	}

	/**
	 * @param data the data to set
	 */
	public void setData(List data) {
		this.data = data;
	}

	public Set getKeys(){
    	return keys;
    }
    
    public String timer(){
    	if(null != data){
    		keys=new HashSet();
    		int random = (int)(Math.random()*10.0);
    		for(int i=0;i<random;i++){
    			Bean bean = (Bean) data.get(i);
    			bean.setText(bean.getText()+" X");
    			keys.add(new Integer(i));
    		}
    	}
    	return null;
    }


}
